(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     29515,        682]
NotebookOptionsPosition[     29082,        661]
NotebookOutlinePosition[     29466,        678]
CellTagsIndexPosition[     29423,        675]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:70b9\:ff21\:3001\:5186\:4e0a\:306e\:70b9\:ff31\:306b\:5bfe\:3057\:3000\:ff21\
\:ff31\:3092\:ff4d\:ff1a\:ff4e\:306b\:5185\:5206\:3059\:308b\:70b9\:ff30\:306e\
\:8ecc\:8de1\
\>", "Section",
 CellChangeTimes->{{3.6423151672408967`*^9, 3.6423152741826305`*^9}, {
   3.64258505784753*^9, 3.6425850846531754`*^9}, 3.6427039017636204`*^9, {
   3.642832937830868*^9, 3.6428329630419827`*^9}, {3.6428329992654862`*^9, 
   3.6428330385007315`*^9}, {3.6428332107898183`*^9, 3.6428332446733665`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"naibun", "[", 
          RowBox[{"a_", ",", "b_", ",", "m_", ",", "n_"}], "]"}], ":=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"n", "*", "a"}], "+", 
            RowBox[{"m", "*", "b"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"n", "+", "m"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
          RowBox[{"Thickness", "[", "0.003", "]"}], ",", 
          "\[IndentingNewLine]", "                     ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "Large", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"a", ",", "b"}], "}"}], "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"c", ",", "d"}], "}"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Map", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"ToString", "[", "#", "]"}], "&"}], ",", 
                 RowBox[{"{", "\"\<A\>\"", "}"}]}], "]"}], "//", 
               "StringJoin"}], ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a", ",", "b"}], "}"}], "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], " ", ","}], 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Q\>\"", ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{"r", "*", 
              RowBox[{"{", " ", 
               RowBox[{
                RowBox[{"Cos", "[", "t", "]"}], ",", 
                RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
             RowBox[{"{", 
              RowBox[{"c", ",", "d"}], "}"}], "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<P\>\"", ",", "Large", ",", "Red"}], "]"}], ",", 
            RowBox[{
             RowBox[{"naibun", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "b"}], "}"}], ",", 
               RowBox[{
                RowBox[{"r", " ", "*", 
                 RowBox[{"{", " ", 
                  RowBox[{
                   RowBox[{"Cos", "[", "t", "]"}], ",", 
                   RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
                RowBox[{"{", 
                 RowBox[{"c", ",", "d"}], "}"}]}], ",", "m", ",", "n"}], 
              "]"}], "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"m", ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"naibun", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", "b"}], "}"}], ",", 
                  RowBox[{
                   RowBox[{"r", " ", "*", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
                   RowBox[{"{", 
                    RowBox[{"c", ",", "d"}], "}"}]}], ",", "m", ",", "n"}], 
                 "]"}], "+", 
                RowBox[{"{", 
                 RowBox[{"a", ",", "b"}], "}"}]}], ")"}], "/", "2"}], "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0.5"}], "}"}]}]}], "]"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"n", ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"naibun", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", "b"}], "}"}], ",", 
                  RowBox[{
                   RowBox[{"r", " ", "*", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
                   RowBox[{"{", 
                    RowBox[{"c", ",", "d"}], "}"}]}], ",", "m", ",", "n"}], 
                 "]"}], "+", 
                RowBox[{"r", " ", "*", 
                 RowBox[{"{", " ", 
                  RowBox[{
                   RowBox[{"Cos", "[", "t", "]"}], ",", 
                   RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
                RowBox[{"{", 
                 RowBox[{"c", ",", "d"}], "}"}]}], ")"}], "/", "2"}], "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0.5"}], "}"}]}]}], "]"}], " ", ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"ToString", "[", "#", "]"}], "&"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    "\"\<A(\>\"", ",", "a", ",", "\"\<,\>\"", ",", "b", ",", 
                    "\"\<)\>\""}], "}"}]}], "]"}], "//", "StringJoin"}], ",", 
                "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "14"}], "}"}]}], "]"}], " ", ","}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"Circle", "[", " ", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"c", ",", "d"}], "}"}], ",", "r"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
            RowBox[{"Point", "[", 
             RowBox[{"naibun", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "b"}], "}"}], ",", 
               RowBox[{
                RowBox[{"r", " ", "*", 
                 RowBox[{"{", " ", 
                  RowBox[{
                   RowBox[{"Cos", "[", "t", "]"}], ",", 
                   RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
                RowBox[{"{", 
                 RowBox[{"c", ",", "d"}], "}"}]}], ",", "m", ",", "n"}], 
              "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "Large", "]"}], ",", "Black", ",", 
            RowBox[{"Point", "[", 
             RowBox[{
              RowBox[{"r", " ", "*", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"Cos", "[", "t", "]"}], ",", 
                 RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
              RowBox[{"{", 
               RowBox[{"c", ",", "d"}], "}"}]}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a", ",", "b"}], "}"}], ",", 
             RowBox[{
              RowBox[{"r", " ", "*", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"Cos", "[", "t", "]"}], ",", 
                 RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
              RowBox[{"{", 
               RowBox[{"c", ",", "d"}], "}"}]}]}], "}"}], "]"}]}], 
         "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
         RowBox[{"AxesStyle", "\[Rule]", "Blue"}], ",", "  ", 
         RowBox[{"GridLines", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "15", ",", "1"}], "]"}], ",", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "8"}], ",", "17", ",", "1"}], "]"}]}], "}"}]}], 
         ",", 
         RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "14"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "14"}], "}"}]}], "}"}]}]}], "}"}], 
       ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
       RowBox[{"LabelStyle", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{"FontSize", "\[Rule]", "17"}], ")"}]}]}], "]"}], 
     "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"ParametricPlot", "[", 
       RowBox[{
        RowBox[{"naibun", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], ",", 
          RowBox[{
           RowBox[{"r", " ", "*", 
            RowBox[{"{", " ", 
             RowBox[{
              RowBox[{"Cos", "[", "t", "]"}], ",", 
              RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], " ", "+", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}]}], ",", "m", ",", "n"}], "]"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", "Dashed", ",", "Thick", ",", 
           RowBox[{"Opacity", "[", "t1", "]"}]}], "}"}]}]}], "]"}], "]"}]}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "8", ",", 
       "\"\<A(\!\(\*UnderscriptBox[\(a\), \(_\)]\),b)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", 
       "7", ",", "8", ",", "9", ",", "10"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0", ",", 
       "\"\<A(a,\!\(\*UnderscriptBox[\(b\), \(_\)]\))\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
      "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c", ",", "0", ",", 
       "\"\<C(\!\(\*UnderscriptBox[\(c\), \(_\)]\),d)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "3"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0", ",", 
       "\"\<C(c,\!\(\*UnderscriptBox[\(d\), \(_\)]\))\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "3"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "4", ",", "\"\<\:534a\:5f84\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
      "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "m", ",", "1", ",", "\"\<\!\(\*UnderscriptBox[\(m\), \(_\)]\):n\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "n", ",", "1", ",", "\"\<m:\!\(\*UnderscriptBox[\(n\), \(_\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t1", ",", "1", ",", "\"\<\:8ecc\:8de1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"FrameMargins", "\[Rule]", "0"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.641864172180665*^9, 3.6418642340836716`*^9}, {
   3.641864275176545*^9, 3.64186427945089*^9}, {3.641864461306363*^9, 
   3.6418644929603567`*^9}, {3.6418645300264816`*^9, 
   3.6418645640692453`*^9}, {3.6418646159873796`*^9, 
   3.6418647701380033`*^9}, {3.641864983269471*^9, 3.64186511832294*^9}, {
   3.6418652625640726`*^9, 3.6418653419300723`*^9}, {3.6418654311660724`*^9, 
   3.6418654406790724`*^9}, {3.6418655042550726`*^9, 
   3.6418656112120724`*^9}, {3.6418656700140724`*^9, 
   3.6418657189130726`*^9}, {3.6418659733500724`*^9, 3.641865984596072*^9}, {
   3.641866027690072*^9, 3.641866091544072*^9}, {3.641866130650072*^9, 
   3.6418661414010725`*^9}, {3.6418662290760727`*^9, 3.641866265926072*^9}, {
   3.6418663112050724`*^9, 3.641866314360072*^9}, {3.6418663589230723`*^9, 
   3.6418664108250723`*^9}, {3.6418670308020725`*^9, 
   3.6418671878070726`*^9}, {3.641867266221072*^9, 3.6418673479600725`*^9}, {
   3.641867453306072*^9, 3.641867578030072*^9}, {3.641867637624072*^9, 
   3.6418676574180727`*^9}, {3.6418677214410725`*^9, 3.641867846900072*^9}, {
   3.6418678820400724`*^9, 3.6418678943120728`*^9}, {3.6418679300500727`*^9, 
   3.6418679569210725`*^9}, {3.6418680335610723`*^9, 
   3.6418681791210723`*^9}, {3.6418682282300725`*^9, 
   3.6418682726970725`*^9}, {3.6418683069550724`*^9, 
   3.6418683959490724`*^9}, {3.6418684401770725`*^9, 
   3.6418684523660727`*^9}, {3.641868493306072*^9, 3.6418685724690723`*^9}, {
   3.6418686345880723`*^9, 3.641868635051072*^9}, {3.6418686654870725`*^9, 
   3.6418689394220724`*^9}, {3.6418690696740723`*^9, 
   3.6418691023590727`*^9}, {3.6418691595030727`*^9, 
   3.6418691652120724`*^9}, {3.642315313110613*^9, 3.6423153338928537`*^9}, {
   3.6424711806096334`*^9, 3.6424712580206337`*^9}, {3.6424713480336337`*^9, 
   3.642471479110634*^9}, {3.6424715281316338`*^9, 3.6424715557276335`*^9}, {
   3.6424716170696335`*^9, 3.6424716356446333`*^9}, {3.642475610980057*^9, 
   3.642475671567522*^9}, {3.6424757331900473`*^9, 3.6424757992828274`*^9}, {
   3.642475839104105*^9, 3.642475870561904*^9}, {3.642476061778841*^9, 
   3.642476095271757*^9}, {3.6424761313818226`*^9, 3.642476145741644*^9}, {
   3.642478520930255*^9, 3.642478595803538*^9}, {3.642483293954322*^9, 
   3.642483312050646*^9}, {3.642582043011773*^9, 3.642582046699463*^9}, 
   3.6425824824749784`*^9, {3.6425826669700975`*^9, 3.642582814652006*^9}, 
   3.642582860440941*^9, {3.6425836228034797`*^9, 3.642583624369921*^9}, {
   3.6425836718424935`*^9, 3.6425836790178657`*^9}, {3.6425837102862315`*^9, 
   3.642583727933363*^9}, {3.6425839321442833`*^9, 3.6425839802576957`*^9}, {
   3.642584104064871*^9, 3.6425841192304015`*^9}, {3.6425846170227003`*^9, 
   3.6425846427934337`*^9}, {3.6425847906372814`*^9, 
   3.6425847954520965`*^9}, {3.6425848277055902`*^9, 
   3.6425848858487864`*^9}, {3.6425851299171276`*^9, 3.642585176371622*^9}, {
   3.642585214914647*^9, 3.642585271129154*^9}, {3.642585333611538*^9, 
   3.6425853487329426`*^9}, {3.6425853874463005`*^9, 3.642585390971942*^9}, {
   3.642585435251461*^9, 3.6425854396026*^9}, {3.6425893526169205`*^9, 
   3.642589364046935*^9}, {3.642592991943289*^9, 3.642593002456377*^9}, {
   3.642593033995654*^9, 3.642593043147921*^9}, {3.642593179651186*^9, 
   3.642593233818313*^9}, {3.6425933134103637`*^9, 3.6425933877950664`*^9}, {
   3.6425934257393417`*^9, 3.6425934759371223`*^9}, {3.642593868035775*^9, 
   3.6425939593033805`*^9}, {3.642594029866194*^9, 3.6425940356545315`*^9}, {
   3.6425940770583673`*^9, 3.6425941193749466`*^9}, 3.6425941584921675`*^9, {
   3.6426594321257133`*^9, 3.6426594334226584`*^9}, {3.6426594935798264`*^9, 
   3.642659572144269*^9}, {3.6426597483132596`*^9, 3.6426598102817154`*^9}, {
   3.642659846185731*^9, 3.642659847342508*^9}, {3.6426601259872413`*^9, 
   3.6426601585374994`*^9}, {3.642660220506921*^9, 3.642660228179207*^9}, 
   3.642660417660898*^9, {3.6426607166742663`*^9, 3.642660727951692*^9}, {
   3.642660784295699*^9, 3.64266088252278*^9}, {3.6426613563272867`*^9, 
   3.6426615536958265`*^9}, {3.6426615919211845`*^9, 3.642661605911767*^9}, {
   3.6426616813098154`*^9, 3.642661685247526*^9}, {3.642661959465953*^9, 
   3.642662022357604*^9}, {3.6426623640845385`*^9, 3.6426623853845763`*^9}, {
   3.6426630121441607`*^9, 3.642663049809167*^9}, {3.6426631972197638`*^9, 
   3.6426632823368034`*^9}, {3.642667317276678*^9, 3.642667357871896*^9}, {
   3.6426673889307303`*^9, 3.6426674278711076`*^9}, {3.6426758135942287`*^9, 
   3.6426759272948933`*^9}, {3.642676157953512*^9, 3.6426761678559303`*^9}, {
   3.6426762296883945`*^9, 3.6426762305778685`*^9}, 3.6426762632582245`*^9, {
   3.642676342838603*^9, 3.6426763831035967`*^9}, {3.6426774356241903`*^9, 
   3.6426776114831624`*^9}, {3.642703843851858*^9, 3.642703844507037*^9}, {
   3.642717690609432*^9, 3.6427176982844844`*^9}, {3.6427177320598345`*^9, 
   3.642717735912961*^9}, {3.6427178845839014`*^9, 3.6427179232717276`*^9}, {
   3.6427179643797274`*^9, 3.6427179757541275`*^9}, {3.6427267355436635`*^9, 
   3.6427267586936183`*^9}, {3.6428331212757397`*^9, 
   3.6428331279368114`*^9}, {3.642833271348854*^9, 3.6428332765591536`*^9}, {
   3.6428333243118353`*^9, 3.6428333437490616`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 8, $CellContext`b$$ = 
    0, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`m$$ = 
    1, $CellContext`n$$ = 1, $CellContext`r$$ = 4, $CellContext`t$$ = 
    1.1938052083641213`, $CellContext`t1$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 8, 
       "A(\!\(\*UnderscriptBox[\(a\), \(_\)]\),b)"}, {0, 1, 2, 3, 4, 5, 6, 7, 
      8, 9, 10}}, {{
       Hold[$CellContext`b$$], 0, 
       "A(a,\!\(\*UnderscriptBox[\(b\), \(_\)]\))"}, {0, 1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`c$$], 0, 
       "C(\!\(\*UnderscriptBox[\(c\), \(_\)]\),d)"}, {0, 1, 2, 
      3, -1, -2, -3}}, {{
       Hold[$CellContext`d$$], 0, 
       "C(c,\!\(\*UnderscriptBox[\(d\), \(_\)]\))"}, {0, 1, 2, 
      3, -1, -2, -3}}, {{
       Hold[$CellContext`r$$], 4, "\:534a\:5f84"}, {1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`m$$], 1, "\!\(\*UnderscriptBox[\(m\), \(_\)]\):n"}, {
      1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`n$$], 1, "m:\!\(\*UnderscriptBox[\(n\), \(_\)]\)"}, {
      1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`t1$$], 1, "\:8ecc\:8de1"}, {1, 0}}, {
      Hold[$CellContext`t$$], 0, 2 Pi}}, Typeset`size$$ = {
    749., {367., 375.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$66081$$ = 
    0, $CellContext`b$66082$$ = 0, $CellContext`c$66083$$ = 
    0, $CellContext`d$66084$$ = 0, $CellContext`r$66085$$ = 
    0, $CellContext`m$66086$$ = 0, $CellContext`n$66087$$ = 
    0, $CellContext`t1$66088$$ = False, $CellContext`t$66089$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 8, $CellContext`b$$ = 
        0, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`m$$ = 
        1, $CellContext`n$$ = 1, $CellContext`r$$ = 4, $CellContext`t$$ = 
        0, $CellContext`t1$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$66081$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$66082$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$66083$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$66084$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$66085$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$66086$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$66087$$, 0], 
        Hold[$CellContext`t1$$, $CellContext`t1$66088$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$66089$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[$CellContext`naibun[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`m, 
             Blank[]], 
            Pattern[$CellContext`n, 
             
             Blank[]]] := ($CellContext`n $CellContext`a + $CellContext`m \
$CellContext`b)/($CellContext`n + $CellContext`m); {Arrowheads -> Large, 
           Thickness[0.003], {
            PointSize[Large], 
            Point[{$CellContext`a$$, $CellContext`b$$}], 
            Point[{$CellContext`c$$, $CellContext`d$$}]}, 
           Text[
            Style[
             StringJoin[
              Map[ToString[#]& , {"A"}]], 
             Large], {$CellContext`a$$, $CellContext`b$$} + {0, 0.5}], 
           Text[
            Style["Q", Large], $CellContext`r$$ {
               Cos[$CellContext`t$$], 
               
               Sin[$CellContext`t$$]} + {$CellContext`c$$, $CellContext`d$$} + \
{0, 0.5}], 
           Text[
            Style[
            "P", Large, 
             Red], $CellContext`naibun[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`r$$ {
                 Cos[$CellContext`t$$], 
                 
                 Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$] + {0, 0.5}], 
           Text[
            
            Style[$CellContext`m$$, 
             Large], ($CellContext`naibun[{$CellContext`a$$, \
$CellContext`b$$}, $CellContext`r$$ {
                   Cos[$CellContext`t$$], 
                   
                   Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$] + {$CellContext`a$$, \
$CellContext`b$$})/2 + {0, 0.5}], 
           Text[
            
            Style[$CellContext`n$$, 
             Large], ($CellContext`naibun[{$CellContext`a$$, \
$CellContext`b$$}, $CellContext`r$$ {
                   Cos[$CellContext`t$$], 
                   
                   Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$] + $CellContext`r$$ {
                 Cos[$CellContext`t$$], 
                 
                 Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$})/2 + {0, 0.5}], 
           Circle[{$CellContext`c$$, $CellContext`d$$}, $CellContext`r$$], {
            PointSize[Large], Red, 
            Point[
             $CellContext`naibun[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`r$$ {
                 Cos[$CellContext`t$$], 
                 
                 Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$]]}, {
            PointSize[Large], Black, 
            Point[$CellContext`r$$ {
                Cos[$CellContext`t$$], 
                
                Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}]}, 
           Line[{{$CellContext`a$$, $CellContext`b$$}, $CellContext`r$$ {
                Cos[$CellContext`t$$], 
                
                Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}}]}, {
         AspectRatio -> Automatic, Axes -> True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 15, 1], 
            Range[-8, 17, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-10, 14}, {-10, 14}}}, 
         PlotRange -> {{-8, 8}, {-6, 6}}, ImageSize -> Large, 
         LabelStyle -> (FontSize -> 17)], 
        Graphics[
         ParametricPlot[
          $CellContext`naibun[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`r$$ {
              Cos[$CellContext`t$$], 
              
              Sin[$CellContext`t$$]} + {$CellContext`c$$, $CellContext`d$$}, \
$CellContext`m$$, $CellContext`n$$], {$CellContext`t$$, 0, 2 Pi}, 
          PlotStyle -> {Black, Dashed, Thick, 
            Opacity[$CellContext`t1$$]}]]], 
      "Specifications" :> {{{$CellContext`a$$, 8, 
          "A(\!\(\*UnderscriptBox[\(a\), \(_\)]\),b)"}, {0, 1, 2, 3, 4, 5, 6, 
         7, 8, 9, 
         10}}, {{$CellContext`b$$, 0, 
          "A(a,\!\(\*UnderscriptBox[\(b\), \(_\)]\))"}, {0, 1, 2, 3, 4, 5, 
         6}}, {{$CellContext`c$$, 0, 
          "C(\!\(\*UnderscriptBox[\(c\), \(_\)]\),d)"}, {0, 1, 2, 
         3, -1, -2, -3}}, {{$CellContext`d$$, 0, 
          "C(c,\!\(\*UnderscriptBox[\(d\), \(_\)]\))"}, {0, 1, 2, 
         3, -1, -2, -3}}, {{$CellContext`r$$, 4, "\:534a\:5f84"}, {1, 2, 3, 4,
          5, 6}}, {{$CellContext`m$$, 1, 
          "\!\(\*UnderscriptBox[\(m\), \(_\)]\):n"}, {1, 2, 3, 4, 5, 
         6}}, {{$CellContext`n$$, 1, 
          "m:\!\(\*UnderscriptBox[\(n\), \(_\)]\)"}, {1, 2, 3, 4, 5, 
         6}}, {{$CellContext`t1$$, 1, "\:8ecc\:8de1"}, {1, 
         0}}, {$CellContext`t$$, 0, 2 Pi}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{1113., {392., 401.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6426673986608*^9, 3.642667428699273*^9, {3.642675875706579*^9, 
   3.642675928341827*^9}, 3.6426762322185802`*^9, 3.642676387587242*^9, 
   3.642677452799822*^9, {3.6426775200307465`*^9, 3.6426775395450897`*^9}, {
   3.642677587520252*^9, 3.6426776128738627`*^9}, 3.6427038483653154`*^9, 
   3.6427177007180376`*^9, 3.6427177375041304`*^9, {3.642717897968528*^9, 
   3.6427179240673275`*^9}, 3.6427179770801277`*^9, 3.6427267597699976`*^9, 
   3.6428331316027412`*^9, 3.6428332780411253`*^9, 3.6428333521261005`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1340, 669},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.3 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 536, 9, 96, "Section"],
Cell[CellGroupData[{
Cell[1141, 35, 19164, 437, 790, "Input"],
Cell[20308, 474, 8746, 183, 847, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
